"use strict";
var n = Object.create;
var i = Object.defineProperty;
var h = Object.getOwnPropertyDescriptor;
var c = Object.getOwnPropertyNames;
var l = Object.getPrototypeOf, v = Object.prototype.hasOwnProperty;
var u = (o, s, r, e) => {
  if (s && typeof s == "object" || typeof s == "function")
    for (let d of c(s))
      !v.call(o, d) && d !== r && i(o, d, { get: () => s[d], enumerable: !(e = h(s, d)) || e.enumerable });
  return o;
};
var k = (o, s, r) => (r = o != null ? n(l(o)) : {}, u(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  s || !o || !o.__esModule ? i(r, "default", { value: o, enumerable: !0 }) : r,
  o
));

// src/bin/index.ts
var y = require("node:child_process"), b = require("node:fs"), t = require("node:path");

// src/common/versions.ts
var p = {
  "@storybook/addon-a11y": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/addon-docs": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/addon-jest": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/addon-links": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/addon-onboarding": "0.0.0-pr-31160-sha-891ad909",
  "storybook-addon-pseudo-states": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/addon-themes": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/addon-vitest": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/builder-vite": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/builder-webpack5": "0.0.0-pr-31160-sha-891ad909",
  storybook: "0.0.0-pr-31160-sha-891ad909",
  "@storybook/angular": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/ember": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/html-vite": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/nextjs": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/nextjs-vite": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/preact-vite": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/react-native-web-vite": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/react-vite": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/react-webpack5": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/server-webpack5": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/svelte-vite": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/sveltekit": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/vue3-vite": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/web-components-vite": "0.0.0-pr-31160-sha-891ad909",
  sb: "0.0.0-pr-31160-sha-891ad909",
  "@storybook/cli": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/codemod": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/core-webpack": "0.0.0-pr-31160-sha-891ad909",
  "create-storybook": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/csf-plugin": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/react-dom-shim": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/source-loader": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/preset-create-react-app": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/preset-react-webpack": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/preset-server-webpack": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/html": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/preact": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/react": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/server": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/svelte": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/vue3": "0.0.0-pr-31160-sha-891ad909",
  "@storybook/web-components": "0.0.0-pr-31160-sha-891ad909"
};

// src/bin/index.ts
var a = process.argv.slice(2);
if (["dev", "build", "index"].includes(a[0]))
  require("storybook/internal/cli/bin");
else {
  let o;
  if (a[0] === "init") {
    let r;
    try {
      r = require.resolve("create-storybook/package.json");
    } catch {
    }
    r ? JSON.parse((0, b.readFileSync)(r, "utf-8")).version === p["create-storybook"] && (o = [
      "node",
      (0, t.join)((0, t.dirname)(r), "bin", "index.cjs"),
      ...a.slice(1)
    ]) : o = ["npx", "--yes", `create-storybook@${p.storybook}`, ...a.slice(1)];
  } else {
    let r;
    try {
      r = require.resolve("@storybook/cli/package.json");
    } catch {
    }
    r ? JSON.parse((0, b.readFileSync)(r, "utf-8")).version === p["@storybook/cli"] && (o = ["node", (0, t.join)((0, t.dirname)(r), "bin", "\
index.cjs"), ...a]) : o = ["npx", "--yes", `@storybook/cli@${p.storybook}`, ...a];
  }
  o || (console.error("Could not run storybook cli, please report this as a bug"), process.exit(1)), (0, y.spawn)(o[0], o.slice(1), { stdio: "\
inherit", shell: !0 }).on("exit", (r) => {
    r != null && process.exit(r), process.exit(1);
  });
}
